LockedOSX 10.11 El Capitan and MPLAB X IDE v3.10 or earlier

  • Total Posts : 346
  • Reward points : 0
  • Joined: 2009/10/12 12:11:03
  • Location: 0
  • Status: offline
2015/10/09 11:49:45 (permalink)

OSX 10.11 El Capitan and MPLAB X IDE v3.10 or earlier

Apple recently introduced System Integrity Protection (SIP, aka rootless mode) in OS X 10.11 El Capitan.
MPLAB X v3.15 has been updated to accommodate these changes, but there will be errors when installing earlier versions of MPLAB X. On prior versions of MPLAB X ( <= v3.10) the post installation configuration steps will fail because of the new SIP restrictions.
The 4 main known failures are
(1) If you upgrade OSX and have MPLAB X IDE v 3.10 or earlier, the sym links are broken and tool detection fails within the IDE. You need to re-install MPLAB X to re-establish the Sym links, installing any MPLAB X IDE v3.10 or earlier will fail without disabling SIP 
(2)links to required hardware communications libraries will not be created and
(3)the included JRE will not be used. The retina display requires JRE 1.7u40 and higher for proper support.
Other problems may arise from an improperly installed MPLAB X.  To properly install any version of MPLAB X prior to v3.15 on OS X 10.11 El Capitan please follow these instructions for disabling SIP, http://www.microchip.com/forums/FindPost/891899.
(4) MAC mini-systems older than 2009 might not work with existing HID drivers on El Capitan. See the links below for details.
Compatible Mac List:
Caveats Here:
Note that the USB stack has changed:
post edited by XGenerator - 2015/10/15 15:32:05

0 Replies Related Threads

    Jump to:
    © 2018 APG vNext Commercial Version 4.5